Pular para o conteúdo principal
POST
/
crawl
/
params-preview
Pré-visualizar parâmetros de rastreamento gerados a partir de um prompt em linguagem natural
curl --request POST \
  --url https://api.firecrawl.dev/v2/crawl/params-preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "url": "<string>"
}
'
{
  "data": {
    "allowExternalLinks": true,
    "allowSubdomains": true,
    "crawlEntireDomain": true,
    "deduplicateSimilarURLs": true,
    "delay": 123,
    "excludePaths": [
      "<string>"
    ],
    "ignoreQueryParameters": true,
    "ignoreRobotsTxt": true,
    "includePaths": [
      "<string>"
    ],
    "limit": 123,
    "maxDepth": 123,
    "maxDiscoveryDepth": 123,
    "robotsUserAgent": "<string>",
    "url": "<string>"
  },
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://firecrawl-docs-improve-testing-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
prompt
string
obrigatório

Prompt em linguagem natural que descreve o que você deseja rastrear

Maximum string length: 10000
url
string<uri>
obrigatório

URL a ser rastreada

Resposta

Resposta bem-sucedida com parâmetros de rastreamento gerados

data
object
success
boolean
Exemplo:

true